Skip to main content

Get services

GET{{server}}/api/v1/dispenser/services

This endpoint returns the list of active services which are assigned to the branch of dispenser.

Request​

Authorization​

HeaderValue
AuthorizationApikey {{dispenserApikey}}

Headers​

KeyValue
Acceptapplication/json
X-WSID{{dispenserWsID}}

Code snippets​

curl -X GET '{{server}}/api/v1/dispenser/services' \
-H 'Accept: application/json' \
-H 'X-WSID: {{dispenserWsID}}' \
-H 'Authorization: Apikey {{dispenserApikey}}'

Example​

Example request
GET{{server}}/api/v1/dispenser/services
Headers (2)
KeyValue
Acceptapplication/json
X-WSID{{dispenserWsID}}
Example response 200 Ok
Response headers (9)
KeyValue
Access-Control-Expose-Headers*
Cache-Controlno-store, no-cache, must-revalidate
Access-Control-Allow-Origin*
Access-Control-Allow-MethodsPOST, PUT, GET, OPTIONS, DELETE
Access-Control-Allow-Credentialstrue
Content-Length6804
Access-Control-Max-Age86400
Access-Control-Allow-HeadersContent-Type, Authorization, X-Requested-With
Content-Typeapplication/json;charset=utf-8
Body
[
{
"type": 7,
"key": "00000000-0000-4000-0007-000000000001",
"subType": 1,
"name": "Deposit or withdrawal",
"code": 1,
"statName": null,
"ticketLayout": null,
"numberInterval": "00000000-0000-4000-0019-000000000001",
"priority": 5,
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Deposit or withdrawal",
"explanation": null,
"comment": null
},
"00000000-0000-4000-0004-000000000017": {
"name": "Pénztári be- vagy kifizetés",
"explanation": null,
"comment": null
}
},
"codes": [
"00000000-0000-4000-0013-000000000006",
"00000000-0000-4000-0013-000000000007",
"00000000-0000-4000-0013-000000000008",
"00000000-0000-4000-0013-000000000009",
"00000000-0000-4000-0013-000000000010"
],
"status": 1,
"normalDelay": 120,
"forcedDelay": 300,
"services": [],
"aspect": null,
"time": 1746607451889
},
{
"type": 7,
"key": "00000000-0000-4000-0007-000000000002",
"subType": 1,
"name": "Foreign currency deposit or withdrawal",
"code": 2,
"statName": null,
"ticketLayout": null,
"numberInterval": "00000000-0000-4000-0019-000000000001",
"priority": 5,
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Foreign currency deposit or withdrawal",
"explanation": null,
"comment": null
},
"00000000-0000-4000-0004-000000000017": {
"name": "Valuta be- vagy kifizetés"
}
},
"codes": [
"00000000-0000-4000-0013-000000000006",
"00000000-0000-4000-0013-000000000007",
"00000000-0000-4000-0013-000000000008",
"00000000-0000-4000-0013-000000000009",
"00000000-0000-4000-0013-000000000010"
],
"status": 1,
"normalDelay": 120,
"forcedDelay": 300,
"services": [],
"aspect": null,
"time": 1746607451926
},
{
"type": 7,
"key": "00000000-0000-4000-0007-000000000003",
"subType": 1,
"name": "Transfer order",
"code": 3,
"statName": null,
"ticketLayout": null,
"numberInterval": "00000000-0000-4000-0019-000000000001",
"priority": 5,
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Transfer order",
"explanation": null,
"comment": null
},
"00000000-0000-4000-0004-000000000017": {
"name": "Átutalás"
}
},
"codes": [
"00000000-0000-4000-0013-000000000006",
"00000000-0000-4000-0013-000000000007",
"00000000-0000-4000-0013-000000000008",
"00000000-0000-4000-0013-000000000009",
"00000000-0000-4000-0013-000000000010"
],
"status": 1,
"normalDelay": 120,
"forcedDelay": 300,
"services": [],
"aspect": null,
"time": 1746607451969
},
{
"type": 7,
"key": "00000000-0000-4000-0007-000000000004",
"subType": 1,
"name": "Safebox services",
"code": 4,
"statName": null,
"ticketLayout": null,
"numberInterval": "00000000-0000-4000-0019-000000000001",
"priority": 5,
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Safebox services",
"explanation": null,
"comment": null
},
"00000000-0000-4000-0004-000000000017": {
"name": "Széf szolgáltatás"
}
},
"codes": [
"00000000-0000-4000-0013-000000000006",
"00000000-0000-4000-0013-000000000007",
"00000000-0000-4000-0013-000000000008",
"00000000-0000-4000-0013-000000000009",
"00000000-0000-4000-0013-000000000010"
],
"status": 1,
"normalDelay": 120,
"forcedDelay": 300,
"services": [],
"aspect": null,
"time": 1746607452007
},
{
"type": 7,
"key": "00000000-0000-4000-0007-000000000005",
"subType": 1,
"name": "Information",
"code": 5,
"statName": null,
"ticketLayout": null,
"numberInterval": "00000000-0000-4000-0019-000000000001",
"priority": 5,
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Information",
"explanation": null,
"comment": null
},
"00000000-0000-4000-0004-000000000017": {
"name": "Információ"
}
},
"codes": [
"00000000-0000-4000-0013-000000000006",
"00000000-0000-4000-0013-000000000007",
"00000000-0000-4000-0013-000000000008",
"00000000-0000-4000-0013-000000000009",
"00000000-0000-4000-0013-000000000010"
],
"status": 1,
"normalDelay": 120,
"forcedDelay": 300,
"services": [],
"aspect": null,
"time": 1746607452047
},
{
"type": 7,
"key": "00000000-0000-4000-0007-000000000006",
"subType": 1,
"name": "Health insurance",
"code": 6,
"statName": null,
"ticketLayout": null,
"numberInterval": "00000000-0000-4000-0019-000000000001",
"priority": 5,
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Health insurance",
"explanation": null,
"comment": null
},
"00000000-0000-4000-0004-000000000017": {
"name": "Egészségbiztosítás"
}
},
"codes": [
"00000000-0000-4000-0013-000000000006",
"00000000-0000-4000-0013-000000000007",
"00000000-0000-4000-0013-000000000008",
"00000000-0000-4000-0013-000000000009",
"00000000-0000-4000-0013-000000000010"
],
"status": 1,
"normalDelay": 120,
"forcedDelay": 300,
"services": [],
"aspect": null,
"time": 1746607452087
},
{
"type": 7,
"key": "18ed1aa2-c5a3-4946-8ba7-f71bb5ce69c1",
"subType": 1,
"name": "Pension insurance",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Pension insurance"
},
"00000000-0000-4000-0004-000000000017": {
"name": "Nyugdíjbiztosítás"
}
},
"ticketLayout": null,
"numberInterval": "00000000-0000-4000-0019-000000000001",
"priority": 5,
"normalDelay": 120,
"forcedDelay": 300,
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"services": [],
"codes": [],
"status": 1,
"code": 7,
"aspect": null,
"time": 1746607452127
},
{
"type": 7,
"key": "18ed1abe-b483-48ee-38e4-1029aafe62af",
"subType": 1,
"name": "Property insurance",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Property insurance"
},
"00000000-0000-4000-0004-000000000017": {
"name": "Lakásbiztosítás"
}
},
"ticketLayout": null,
"numberInterval": "00000000-0000-4000-0019-000000000001",
"priority": 5,
"normalDelay": 120,
"forcedDelay": 300,
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"services": [],
"codes": [],
"status": 1,
"code": 8,
"aspect": null,
"time": 1746607452166
},
{
"type": 7,
"key": "18ed1ac5-8602-44e0-0e48-05356a4733ea",
"subType": 1,
"name": "Travel insurance",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Travel insurance"
},
"00000000-0000-4000-0004-000000000017": {
"name": "Utasbiztosítás"
}
},
"ticketLayout": null,
"numberInterval": "00000000-0000-4000-0019-000000000001",
"priority": 5,
"normalDelay": 120,
"forcedDelay": 300,
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"services": [],
"codes": [],
"status": 1,
"code": 9,
"aspect": null,
"time": 1746607452205
},
{
"type": 7,
"key": "18ed1ace-7774-441b-648f-98d54a257490",
"subType": 1,
"name": "Pension fund",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Pension fund"
},
"00000000-0000-4000-0004-000000000017": {
"name": "Nyugdíjalap"
}
},
"ticketLayout": null,
"numberInterval": "00000000-0000-4000-0019-000000000001",
"priority": 5,
"normalDelay": 120,
"forcedDelay": 300,
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"services": [],
"codes": [],
"status": 1,
"code": 10,
"aspect": null,
"time": 1746607452248
}
]